<script src="../hiCharts/highcharts.js"></script>
<script src="../hiCharts/highcharts-3d.js"></script>
<script src="../hiCharts/cylinder.js"></script>
<script src="../hiCharts/exporting.js"></script>
<script src="../hiCharts/export-data.js"></script>
<script src="../hiCharts/accessibility.js"></script>
<script src="../hiCharts/wordcloud.js"></script>
<script>
Highcharts.chart('chart1', {
    chart: {
        type: 'column'
    },
    title: {
        text: 'Week Long Sales, Payment, Expenses and Supplies Analysis'
    },
  credits: {
        enabled: false
    },
    xAxis: {
        categories: [
            '<?php echo date('D', strtotime('today')); ?>',
            '<?php echo date('D', strtotime('-1 days')); ?>',
            '<?php echo date('D', strtotime('-2 days')); ?>',
            '<?php echo date('D', strtotime('-3 days')); ?>',
            '<?php echo date('D', strtotime('-4 days')); ?>',
            '<?php echo date('D', strtotime('-5 days')); ?>',
            '<?php echo date('D', strtotime('-6 days')); ?>'
        ],
        crosshair: true
    },
    yAxis: {
        min: 0,
        title: {
            text: 'Transaction'
        }
    },
    tooltip: {
        headerFormat: '<span style="font-size:10px">{point.key}</span><table>',
        pointFormat: '<tr><td style="color:{series.color};padding:0">{series.name}: </td>' +
            '<td style="padding:0"><b>{point.y:.0f}</b></td></tr>',
        footerFormat: '</table>',
        shared: true,
        useHTML: true
    },
    plotOptions: {
        column: {
            pointPadding: 0.2,
            borderWidth: 0
        }
    },
    series: [{
        name: 'Services',
        data: [<?php echo serviceDay('0 DAY'). ','.serviceDay('-1 DAY').','.serviceDay('-2 DAY').','.serviceDay('-3 DAY').','.serviceDay('-4 DAY').','.serviceDay('-5 DAY').','.serviceDay('-6 DAY'); ?>]

    },{
        name: 'Products Sales',
        data: [<?php echo saleDay('0 DAY'). ','.saleDay('-1 DAY').','.saleDay('-2 DAY').','.saleDay('-3 DAY').','.saleDay('-4 DAY').','.saleDay('-5 DAY').','.saleDay('-6 DAY'); ?>]

    },{
        name: 'Supplies',
        data: [<?php echo supplyDay('0 DAY'). ','.supplyDay('-1 DAY').','.supplyDay('-2 DAY').','.supplyDay('-3 DAY').','.supplyDay('-4 DAY').','.supplyDay('-5 DAY').','.supplyDay('-6 DAY'); ?>]

    },{
        name: 'Dealers Payment',
        data: [<?php echo dPayDay('0 DAY'). ','.dPayDay('-1 DAY').','.dPayDay('-2 DAY').','.dPayDay('-3 DAY').','.dPayDay('-4 DAY').','.dPayDay('-5 DAY').','.dPayDay('-6 DAY'); ?>]

    },{
        name: 'Expenses',
        data: [<?php echo expensDay('0 DAY'). ','.expensDay('-1 DAY').','.expensDay('-2 DAY').','.expensDay('-3 DAY').','.expensDay('-4 DAY').','.expensDay('-5 DAY').','.expensDay('-6 DAY'); ?>]

    }]
});
</script>