<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head_table.php");
?>
<body class="theme-red">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");    

$id = filter_input(INPUT_GET, 'id', FILTER_SANITIZE_STRING);
?>

    <section class="content">
        <div class="container-fluid">

            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card" id="receipt">
                        <div class="header">
                            <h2>
                                <?php echo dealer_info($id,'first_name').' '.dealer_info($id,'last_name'); ?> <small style="float:right">ACCOUNT STATEMENT</small>
                            </h2>
                           
                        </div>
                        <div class="body">
                            <p style="display:flex; text-align: center">
                                <span  style="flex:25%;"><strong>Supplies: </strong><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?><?php if(empty($id)){ echo number_format(supplies_sum());}else{echo number_format(dsupplies_sum($id));}  ?></span> 
                                <span  style="flex:25%;"><strong>Payments: </strong><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?><?php if(empty($id)){ echo number_format(payments_sum());}else{echo number_format(dpayments_sum($id));}  ?></span> 
                                <span  style="flex:25%;"><strong>Returned: </strong><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?><?php if(empty($id)){ echo number_format(returned_sum());}else{echo number_format(dreturned_sum($id));}  ?></span>  
                                <span  style="flex:25%;"><strong>Debts: </strong><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?><?php if(empty($id)){ echo number_format(supplies_sum() - payments_sum() - returned_sum());}else{echo number_format(dsupplies_sum($id) - dpayments_sum($id) - dreturned_sum($id)); }  ?></span> 
                            </p>
                                
                            <hr/>
                                
                                <div style="display:flex;">
                                    <div style="flex:50%;">
                                        <strong>Products Supplied</strong><br/>
                                        <table style="width:100%; border:solid; min-height:50px;">
                                    <thead>
                                        <tr>
                                            <th>Date</th>
                                            <th>Product</th>
                                            <th>Price</th>
                                            <th>Qtty</th>
                                            <th>Total</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                             
                                        $supplies = dsupplies2($id); 
                                        foreach ($supplies as $lst) {
                                            echo '<tr style="border:solid;">
                                            <td>'.$lst['sales_date'].'</td>
                                            <td>'.product_info($lst['product_id'],'product_name').'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['product_price']).'</td>
                                            <td>'.$lst['product_qtty'].'</td>
                                            <td>'.$lst['total_amount'].'</td>
                                        </tr>';
                                        }
                                        ?>
                                    </tbody>
                                </table>
                                    </div> 
                                    <div style="flex:50%;">
                                        <strong>Payments History</strong><br/>
                                       <table style="width:100%; border:solid; min-height:50px;">
                                    <thead>
                                        <tr>
                                            <th>Date</th>
                                            <th>Amount</th>
                                            <th>Method</th>
                                            <th>Bank</th>
                                            <th>Account</th>
                                            <th>Depositor</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        $payments = payments2($id); 
                                        foreach ($payments as $lst) {
                                            echo '<tr style="border:solid;">
                                            <td>'.$lst['payment_date'].'</td>
                                            <td>'; if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} echo number_format($lst['amount']).'</td>
                                            <td>'.$lst['payment_method'].'</td>
                                            <td>'.$lst['bank_name'].'</td>
                                            <td>'.$lst['bank_account'].'</td>
                                            <td>'.$lst['depositor_name'].'</td>
                                        </tr>';
                                        }
                                        ?>
                                    </tbody>
                                </table> 
                                    </div> 
                                </div>
                                
                        </div>
                    </div>
                    <p style="float: right">
                                     <button class="btn btn-success waves-effect" onclick="printDiv();">Print</button>
                                 </p>
                                 <br/>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>
    </section> 
<script>
    function printDiv(){                      
        var divName = "receipt";         
        var printContents = document.getElementById(divName).innerHTML;                  
        var originalContents = document.body.innerHTML;           
        document.body.innerHTML = printContents;          
        window.print();          
        document.body.innerHTML = originalContents;
                
    }

</script>      
<?php
require("../includes/footer_table.php");
