<script src="../hiCharts/highcharts.js"></script>
<script src="../hiCharts/highcharts-3d.js"></script>
<script src="../hiCharts/cylinder.js"></script>
<script src="../hiCharts/exporting.js"></script>
<script src="../hiCharts/export-data.js"></script>
<script src="../hiCharts/accessibility.js"></script>
<script src="../hiCharts/wordcloud.js"></script>
<script>
Highcharts.chart('chart1', {
    chart: {
        type: 'column'
    },
    title: {
        text: 'Year <?php echo $yr; ?> Financial Analysis'
    },
  credits: {
        enabled: false
    },
    xAxis: {
        categories: [
            '<?php echo "Jan"; ?>',
            '<?php echo "Feb"; ?>',
            '<?php echo "Mar"; ?>',
            '<?php echo "Apr"; ?>',
            '<?php echo "May"; ?>',
            '<?php echo "Jun"; ?>',
            '<?php echo "Jul"; ?>',
            '<?php echo "Aug"; ?>',
            '<?php echo "Sep"; ?>',
            '<?php echo "Oct"; ?>',
            '<?php echo "Nov"; ?>',
            '<?php echo "Dec"; ?>'
        ],
        crosshair: true
    },
    yAxis: {
        min: 0,
        title: {
            text: 'Transaction'
        }
    },
    tooltip: {
        headerFormat: '<span style="font-size:10px">{point.key}</span><table>',
        pointFormat: '<tr><td style="color:{series.color};padding:0">{series.name}: </td>' +
            '<td style="padding:0"><b>{point.y:.0f}</b></td></tr>',
        footerFormat: '</table>',
        shared: true,
        useHTML: true
    },
    plotOptions: {
        column: {
            pointPadding: 0.2,
            borderWidth: 0
        }
    },
    series: [{
        name: 'Income',
        data: [<?php echo fa_income('01', '31', '01', $yr). ','.fa_income('01', '29', '02', $yr).','.fa_income('01', '31', '03', $yr).','.fa_income('01', '30', '04', $yr).','.fa_income('01', '31', '05', $yr).','.fa_income('01', '30', '06', $yr).','.fa_income('01', '31', '07', $yr).','.fa_income('01', '31', '08', $yr).','.fa_income('01', '30', '09', $yr).','.fa_income('01', '31', '10', $yr).','.fa_income('01', '30', '11', $yr).','.fa_income('01', '31', '12', $yr); ?>]

    },{
        name: 'Expenses',
        data: [<?php echo fa_expenses('01', '31', '01', $yr). ','.fa_expenses('01', '29', '02', $yr).','.fa_expenses('01', '31', '03', $yr).','.fa_expenses('01', '30', '04', $yr).','.fa_expenses('01', '31', '05', $yr).','.fa_expenses('01', '30', '06', $yr).','.fa_expenses('01', '31', '07', $yr).','.fa_expenses('01', '31', '08', $yr).','.fa_expenses('01', '30', '09', $yr).','.fa_expenses('01', '31', '10', $yr).','.fa_expenses('01', '30', '11', $yr).','.fa_expenses('01', '31', '12', $yr); ?>]

    },{
        name: 'Profit',
        data: [<?php echo fa_profit('01', '31', '01', $yr). ','.fa_profit('01', '29', '02', $yr).','.fa_profit('01', '31', '03', $yr).','.fa_profit('01', '30', '04', $yr).','.fa_profit('01', '31', '05', $yr).','.fa_profit('01', '30', '06', $yr).','.fa_profit('01', '31', '07', $yr).','.fa_profit('01', '31', '08', $yr).','.fa_profit('01', '30', '09', $yr).','.fa_profit('01', '31', '10', $yr).','.fa_profit('01', '30', '11', $yr).','.fa_profit('01', '31', '12', $yr); ?>]

    }]
});


Highcharts.chart('chart2', {
    chart: {
        plotBackgroundColor: null,
        plotBorderWidth: null,
        plotShadow: false,
        type: 'pie'
    },
    title: {
        text: 'Year <?php echo $yr; ?> Financial Analysis'
    },
    tooltip: {
        pointFormat: '{series.name}: <b>{point.percentage:.0f}%</b>'
    },     
    credits: {
        enabled: false
    },
    plotOptions: {
        pie: {
            allowPointSelect: true,
            cursor: 'pointer',
            dataLabels: {
                enabled: true,
                format: '<b>{point.name}</b>: {point.percentage:.0f} %',
                style: {
                    color: (Highcharts.theme && Highcharts.theme.contrastTextColor) || 'black'
                }
            }
        }
    },
    series: [{
        name: 'Analysis',
        colorByPoint: true,
        data: [{
            name: 'Income',
            y: <?php echo fa_income2('01', '31', '01', '12', $yr); ?>,
            sliced: true,
            selected: true
        }, {
            name: 'Expenses',
            y: <?php echo fa_expenses2('01', '31', '01', '12', $yr); ?>
        }, {
            name: 'Profits',
            y: <?php echo fa_profit2('01', '31', '01', '12', $yr); ?>
        }]
    }]
});
</script>