<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head_table.php"); 
?>
<body class="theme-red" onload="worth()">
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");    

$supplier = filter_input(INPUT_GET, 'supplier_id', FILTER_VALIDATE_INT);
$from = filter_input(INPUT_GET, 'date_from', FILTER_SANITIZE_STRING);
$to  = filter_input(INPUT_GET, 'date_to', FILTER_SANITIZE_STRING);
       
?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                SUPPLIER REPORT
                                <small>generate supplier report</small>
                            </h2>
                        </div>
                        <div class="body">
                            
                          
                            <div class="row clearfix">
                                <div class="col-sm-3" title="All Product Supplied" style="cursor:pointer; border:groove; height:70px; padding:5px; color: purple">
                                    <strong>Supplies: </strong><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');}  echo number_format(dated_receivings_sid($supplier, $from, $to)); ?>
                                </div>
                                
                                <div class="col-sm-3" title="All Recorded Supplier Payments" style="cursor:pointer; border:groove; height:70px; padding:5px; color:red">
                                    <strong>Payments: </strong><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');}  echo number_format(dated_supplier_payments_sid($supplier, $from, $to)); ?>
                                </div>
                                
                                <div class="col-sm-3" title="All Supplies - All Payments" style="cursor:pointer; border:groove; height:70px; padding:5px; color:green">
                                   <strong>Balance: </strong><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');}  echo number_format( dated_receivings_sid($supplier, $from, $to) - dated_supplier_payments_sid($supplier, $from, $to) ); ?>
                                </div>
                                
                                <div class="col-sm-3" title="All Supplier Product Sales" style="cursor:pointer; border:groove; height:70px; padding:5px; color:purple">
                                   <strong>Sales: </strong><?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');}  echo number_format( supplier_total_sales($supplier, $from, $to)); ?>
                                </div>                                
                            </div> 
                            <hr/>
                            <h2>Supplier Payments</h2>
                                
                            <hr/>
                            <div class="table-responsive">
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr class="trc">
                                            <th>S/N</th>
                                            <th>Pay Date</th>
                                            <th>Supplier Payments  <?php echo '('.number_format(dated_supplier_payments_sid($supplier, $from, $to)).')'; ?></th>
                                            <th>Bank Name</th>
                                            <th>Account</th>
                                            <th>Amount <?php echo '('.number_format(dated_supplier_payments_sid($supplier, $from, $to)).')'; ?></th>
                                            <th>Depositor</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr class="trc">
                                            <th>S/N</th>
                                            <th>Pay Date</th>
                                            <th>Supplier Payments  <?php echo '('.number_format(dated_supplier_payments_sid($supplier, $from, $to)).')'; ?></th>
                                            <th>Bank Name</th>
                                            <th>Account</th>
                                            <th>Amount <?php echo '('.number_format(dated_supplier_payments_sid($supplier, $from, $to)).')'; ?></th>
                                            <th>Depositor</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        $sn1 = 0;
                                        $payments = supplier_payments_sid($supplier, $from, $to);
                                        foreach ($payments as $lst) {
                                            $sn1 ++;
                                            echo '<tr>
                                            <td>'.$sn1.'</td>
                                            <td>'.$lst['payment_date'].'</td>
                                            <td>'.supplier_info($lst['supplier_id'],'company_name').'</td>
                                            <td>'.$lst['bank_name'].'</td>
                                            <td>'.$lst['bank_account'].'</td>
                                            <td>'.number_format($lst['amount']).'</td>
                                            <td>'.$lst['depositor_name'].'</td>
                                        </tr>';
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>
                                
                                <hr/>
                                <h2>Products Supplied</h2>
                                <hr/>
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr class="trc">
                                            <th>S/N</th>
                                            <th>Date</th>
                                            <th>Supplier</th>
                                            <th>Product Supplied <?php echo '('.number_format(dated_receivings_sid($supplier, $from, $to)).')'; ?></th>
                                            <th>Qtty</th>
                                            <th>Price</th>
                                            <th>Amount</th>
                                            <th>Receiver</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr class="trc">
                                            <th>S/N</th>
                                            <th>Date</th>
                                            <th>Supplier</th>
                                            <th>Product Supplied <?php echo '('.number_format(dated_receivings_sid($supplier, $from, $to)).')'; ?></th>
                                            <th>Qtty</th>
                                            <th>Price</th>
                                            <th>Amount</th>
                                            <th>Receiver</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php     
                                        $sn2 = 0;
                                        $receiving = receiving_sid($supplier, $from, $to); 
                                        foreach ($receiving as $lst) {
                                            $sn2 ++;
                                            echo '<tr>
                                            <td>'.$sn2.'</td>
                                            <td>'.$lst['date_received'].'</td>
                                            <td>'.supplier_info($lst['supplier_id'],'company_name').'</td>
                                            <td>'.product_info($lst['product_id'],'product_name').'</td>
                                            <td>'.$lst['product_qtty'].'</td>
                                            <td>'.number_format($lst['product_price']).'</td>
                                            <td>'.number_format($lst['amount']).'</td>
                                            
                                            <td>'.user_info($lst['created_by'],'first_name').' '.user_info($lst['created_by'],'last_name').'</td>';
                                        
                                            echo '</tr>';
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>
                                
                                
                                <hr/>
                                <h2>Products Sales</h2>
                                <hr/>
                                <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr class="trc">
                                            <th>S/N</th>
                                            <th>Date</th>
                                            <th>Supplier</th>
                                            <th>Product Sold <?php echo '('.number_format( supplier_total_sales($supplier, $from, $to)).')'; ?></th>
                                            <th>Qtty</th>
                                            <th>Price</th>
                                            <th>Amount</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr class="trc">
                                            <th>S/N</th>
                                            <th>Date</th>
                                            <th>Supplier</th>
                                            <th>Product Sold <?php echo '('.number_format( supplier_total_sales($supplier, $from, $to)).')'; ?></th>
                                            <th>Qtty</th>
                                            <th>Price</th>
                                            <th>Amount</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php 
                                        $sn3 = 0;
                                        $sales = supplier_sales_sid($supplier, $from, $to); 
                                        foreach ($sales as $lst) {
                                            $sn3 ++;
                                            echo '<tr>
                                            <td>'.$sn3.'</td>
                                            <td>'.$lst['sales_date'].'</td>
                                            <td>'.supplier_info($lst['supplier_id'],'company_name').'</td>
                                            <td>'.product_info($lst['product_id'],'product_name').'</td>
                                            <td>'.$lst['product_qtty'].'</td>
                                            <td>'.number_format($lst['product_price']).'</td>
                                            <td>'.number_format($lst['total_amount']).'</td>';
                                        
                                            echo '</tr>';
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>
                               <hr/>
                               
                               <h2>Available Products</h2>
                                
                               <hr/>                            
                               <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                    <thead>
                                        <tr class="trc">
                                            <th>S/N</th>
                                            <th>Supplier</th>
                                            <th>Product Available (<span id="worth1"></span>)</th>
                                            <th>Price</th>
                                            <th>Qtty</th>
                                            <th>Worth</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr class="trc">
                                            <th>S/N</th>
                                            <th>Supplier</th>
                                            <th>Product Available (<span id="worth1b"></span>)</th>
                                            <th>Price</th>
                                            <th>Qtty</th>
                                            <th>Worth</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        $sn4 = 0;
                                        $worth = 0;
                                        $products = products_sid($supplier);
                                        foreach ($products as $lst) {
                                            $worth = $worth + (pro_qtty($lst['id']) * $lst['cost_price']);
                                            $sn4 ++;
                                            echo '<tr>
                                            <td>'.$sn4.'</td>
                                            <td>'.supplier_info($lst['supplier_id'],'company_name').'</td>
                                            <td>'.$lst['product_name'].'</td>
                                            <td>'.$lst['cost_price'].'</td>
                                            <td>'.(pro_qtty($lst['id'])).'</td>
                                            <td>'.number_format((pro_qtty($lst['id']) * $lst['cost_price'])).'</td></tr>';
                                        }
                                        ?>
                                        
                                        
                                    </tbody>
                                </table>
                               <hr/>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>
<style>
.th{            
    min-width:120px;    
}   
</style>   
<script> 
function worth(){
    document.getElementById('worth1').innerHTML = '<?php echo number_format($worth);?>';
    document.getElementById('worth1b').innerHTML = '<?php echo number_format($worth);?>';
}
</script> 
<?php 
require("../includes/footer_table.php"); 
