<?php
require("../includes/functions.php");
require("../includes/common.php");
require("../includes/head.php"); 
?>
<body class="theme-red">
    <!-- Page Loader -->
    <div class="page-loader-wrapper">
        <div class="loader">
            <div class="preloader">
                <div class="spinner-layer pl-red">
                    <div class="circle-clipper left">
                        <div class="circle"></div>
                    </div>
                    <div class="circle-clipper right">
                        <div class="circle"></div>
                    </div>
                </div>
            </div>
            <p>Please wait...</p>
        </div>
    </div>
    <!-- #END# Page Loader -->
    <!-- Overlay For Sidebars -->
    <div class="overlay"></div>
    <!-- #END# Overlay For Sidebars -->
    <!-- Top Bar -->
<?php 
require("../includes/top.php");

require("../includes/menu.php");   

?>

    <section class="content">
        <div class="container-fluid">
            <!-- Input -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                EDIT RECEIVINGS
                                <small>edit products received</small>
                            </h2>
                        </div>
                        <div class="body">
                            
                            <?php $id = filter_input(INPUT_GET, 'id', FILTER_SANITIZE_STRING); ?>
                            <form name="form1" id="form1" action="receivings_edit_proc.php" method="post">
                                <input type="hidden" name="receiving_id" id="receiving_id"  value="<?php echo $id; ?>" />
                                       
                            <div class="row clearfix">
                                <div class="col-lg-4 col-md-4"><label>Product Supplier <i style="color:red" title="Required"> * </i></label><br/>
                                   <select class="js-example-basic-single form-control" required name="supplier_id" id="supplier_id">
                                       <option value="<?php echo receiving_info($id,'supplier_id'); ?>" selected> <?php echo supplier_info(receiving_info($id,'supplier_id'),'company_name'); ?> </option>
                                        <?php
                                          
                                        $suppliers = suppliers();
                                        foreach ($suppliers as $lst) {
                                            echo '<option value="'.$lst['id'].'">'.supplier_info($lst['id'],'company_name').'</option>';
                                        }
                                        ?>
                                    </select>
                                </div>
                                <div class="col-sm-4"><label>Product Received <i style="color:red" title="Required"> * </i></label>
                                   
                                    <input type="text" name="product_id" id="product_id"  value="<?php echo product_info(receiving_info($id,'product_id'),'product_name'); ?>" class="form-control" readonly="" />
                                       
                                </div>
                                <div class="col-sm-4">
                                   <label>Cost Price (<?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?>) <i style="color:red" title="Required"> * </i></label>
                                   <input type="text" onkeypress="if ( isNaN(this.value + String.fromCharCode(event.keyCode) )) return false;" name="product_price" value="<?php echo receiving_info($id,'product_price'); ?>" id="product_price" required class="form-control" placeholder="Cost Price" />
                                       
                                </div>
                                <div class="col-sm-4">
                                   <label>Selling Price (<?php if(config_info('currency') == 'N'){echo '<span class="naira">N</span>';}else{echo config_info('currency');} ?>) <i style="color:red" title="Required"> * </i></label>
                                   <input type="text" onkeypress="if ( isNaN(this.value + String.fromCharCode(event.keyCode) )) return false;" name="selling_price" value="<?php echo receiving_info($id,'selling_price'); ?>" id="selling_price" required class="form-control" placeholder="Selling Price" />
                                       
                                </div>
                                
                                <div class="col-sm-4">
                                    <label>Product Quantity <i style="color:red" title="Required"> * </i></label>
                                    <input type="text" onkeypress="if ( isNaN(this.value + String.fromCharCode(event.keyCode) )) return false;" name="product_qtty" value="<?php echo receiving_info($id,'product_qtty'); ?>" id="product_qtty" required class="form-control" placeholder="Product Quantity" />
                                       
                                </div>
                                   
                                <div class="col-sm-4">
                                    <label>Receiving Date <i style="color:red" title="Required"> * </i></label>
                                    <input type="date" max="<?php echo date('Y-m-d'); ?>"  value="<?php echo receiving_info($id,'date_received'); ?>" required name="date_received" id="date_received" class="form-control" placeholder="Date Received" />
                                        
                                </div> 
                                   
                                <div class="col-sm-4">
                                   <label>Batch Number</label>
                                            <input type="text" name="batch_number" id="batch_number"  value="<?php echo receiving_info($id,'batch_number'); ?>" class="form-control" placeholder="Batch Number" />
                                       
                                </div>                                 
                            
                                   
                                <div class="col-sm-4">
                                   <label>Comment/Note</label>
                                            <input type="text" name="vehicle_number" id="vehicle_number" value="<?php echo receiving_info($id,'vehicle_number'); ?>" class="form-control" placeholder="Comment/Note" />
                                        
                                </div>
                                   
                                <div class="col-sm-4">
                                   <label>Delivery Person Name</label>
                                            <input type="text" name="driver_name" id="driver_name" value="<?php echo receiving_info($id,'driver_name'); ?>" class="form-control" placeholder="Delivery Person Name" />
                                         
                                </div>
                                <div class="col-sm-4">
                                   <label>Phone Number</label>
                                            <input type="tel" name="driver_phone" id="driver_phone" value="<?php echo receiving_info($id,'driver_phone'); ?>" class="form-control" placeholder="Delivery Person Phone Number" />
                                        
                                </div>                                   
                            </div>                                
                             <hr/>
                                <div class="row clearfix">
                                    <div class="col-sm-4">
                                        <button  name="submit" type="submit" id="submit" class="btn btn-success waves-effect">SUBMIT</button>
                                    </div>  
                                    
                                    <div class="col-sm-8"> 
                                        <p style="display:none; font-weight:bold;" id="loader"> <img src="../images/loading.gif" height="50px;" alt="Processing, please wait"/> Please wait, Processing request...</p>
                    
                                        <p id="alert"></p>
                                    
                                    </div>  
                                </div>
                               
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Input -->
            
            
        </div>
    </section>
<script>
$(document).ready(function() {
    $('.js-example-basic-single').select2();
});


$("#form1" ).on( "submit", function( event ) {
    document.getElementById("submit").disabled = true;   
    event.preventDefault();
    var dataString = $("#form1").serialize();
    var product_id = $("#product_id").val();
    if(product_id === '' ){
    document.getElementById('alert').innerHTML='<span id="alert2" style="background-color:red;color:white;padding:10px;border-radius:15px;"><strong>Sorry!</strong> There is network problem! Try again later. &nbsp;&nbsp;<i class="material-icons" onclick="closep()" title="dismiss">close</i></span>';
    $('#alert2').delay(3000).fadeOut(500);
    document.getElementById("submit").disabled = false;
    }
    else
    {
    document.getElementById('loader').style.display = 'inline';
    $.ajax({
    type: "POST",
    url: "receivings_edit_proc.php",
    data: dataString,
    cache: false,
    success: function(result){
    document.getElementById('loader').style.display = 'none';
    document.getElementById('alert').innerHTML=result;
    document.getElementById("submit").disabled = false;
    }
    });
    }
    return false;
});
function closep(){
document.getElementById('alert2').style.display='none';
}
</script>    
        
<?php 
require("../includes/footer.php");
